Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRFont

All Superinterfaces:
  JRStyleContainer

All Known Subinterfaces:
  JRPrintText, JRReportFont, JRStaticText, JRTextElement, JRTextField

All Known Implementing Classes:
  JRBaseFont, JRBasePrintText, JRBaseReportFont, JRBaseStaticText, JRBaseTextElement, JRBaseTextField, JRDesignFont, JRDesignReportFont, JRDesignStaticText, JRDesignTextElement, JRDesignTextField, JRFillStaticText, JRFillTextElement, JRFillTextField, JRRecordedValuesPrintText, JRTemplatePrintText, JRTemplateText

    public interface JRFont

extends JRStyleContainer

An abstract representation of a font. Fonts in JasperReports are very complex because of the library portability across operating systems and export formats. This interface provides basic font functionality methods for managing font attributes and special PDF font attributes.

Users can define report level fonts that can be referenced by name in text elements. Their default properties can be overridden in each element (for example, a text element can use a report level font and just change its "underline" attribute). All the "own" methods in this class actually return the override values of font properties.

Version:
  $Id: JRFont.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `DEFAULT_FONT_NAME`
`static java.lang.String` | `DEFAULT_FONT_SIZE`
`static java.lang.String` | `DEFAULT_PDF_EMBEDDED`
`static java.lang.String` | `DEFAULT_PDF_ENCODING`
`static java.lang.String` | `DEFAULT_PDF_FONT_NAME`

Method Summary
`java.lang.String` | `getFontName()`
`int` | `getFontSize()`
`java.lang.String` | `getOwnFontName()`
`java.lang.Integer` | `getOwnFontSize()`
`java.lang.String` | `getOwnPdfEncoding()`
`java.lang.String` | `getOwnPdfFontName()`
`java.lang.Integer` | `getOwnSize()` Deprecated. Replaced by `getOwnFontSize()`.
`java.lang.String` | `getPdfEncoding()`
`java.lang.String` | `getPdfFontName()`
`JRReportFont` | `getReportFont()`
`int` | `getSize()` Deprecated. Replaced by `getFontSize()`.
`boolean` | `isBold()`
`boolean` | `isItalic()`
`java.lang.Boolean` | `isOwnBold()`
`java.lang.Boolean` | `isOwnItalic()`
`java.lang.Boolean` | `isOwnPdfEmbedded()`
`java.lang.Boolean` | `isOwnStrikeThrough()`
`java.lang.Boolean` | `isOwnUnderline()`
`boolean` | `isPdfEmbedded()`
`boolean` | `isStrikeThrough()`
`boolean` | `isUnderline()`
`void` | `setBold(boolean isBold)`
`void` | `setBold(java.lang.Boolean isBold)`
`void` | `setFontName(java.lang.String fontName)`
`void` | `setFontSize(int fontSize)`
`void` | `setFontSize(java.lang.Integer fontSize)`
`void` | `setItalic(boolean isItalic)`
`void` | `setItalic(java.lang.Boolean isItalic)`
`void` | `setPdfEmbedded(boolean isPdfEmbedded)`
`void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)`
`void` | `setPdfEncoding(java.lang.String pdfEncoding)`
`void` | `setPdfFontName(java.lang.String pdfFontName)`
`void` | `setReportFont(JRReportFont reportFont)`
`void` | `setSize(int size)` Deprecated. Replaced by `setFontSize(int)`.
`void` | `setSize(java.lang.Integer size)` Deprecated. Replaced by `setFontSize(Integer)`.
`void` | `setStrikeThrough(boolean isStrikeThrough)`
`void` | `setStrikeThrough(java.lang.Boolean isStrikeThrough)`
`void` | `setUnderline(boolean isUnderline)`
`void` | `setUnderline(java.lang.Boolean isUnderline)`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Field Detail

### DEFAULT_FONT_NAME

    static final java.lang.String DEFAULT_FONT_NAME

See Also:
  Constant Field Values

### DEFAULT_FONT_SIZE

    static final java.lang.String DEFAULT_FONT_SIZE

See Also:
  Constant Field Values

### DEFAULT_PDF_FONT_NAME

    static final java.lang.String DEFAULT_PDF_FONT_NAME

See Also:
  Constant Field Values

### DEFAULT_PDF_ENCODING

    static final java.lang.String DEFAULT_PDF_ENCODING

See Also:
  Constant Field Values

### DEFAULT_PDF_EMBEDDED

    static final java.lang.String DEFAULT_PDF_EMBEDDED

See Also:
  Constant Field Values

Method Detail

### getReportFont

    JRReportFont getReportFont()

### setReportFont

    void setReportFont(JRReportFont reportFont)

### getFontName

    java.lang.String getFontName()

### getOwnFontName

    java.lang.String getOwnFontName()

### setFontName

    void setFontName(java.lang.String fontName)

### isBold

    boolean isBold()

### isOwnBold

    java.lang.Boolean isOwnBold()

### setBold

    void setBold(boolean isBold)

### setBold

    void setBold(java.lang.Boolean isBold)

### isItalic

    boolean isItalic()

### isOwnItalic

    java.lang.Boolean isOwnItalic()

### setItalic

    void setItalic(boolean isItalic)

### setItalic

    void setItalic(java.lang.Boolean isItalic)

### isUnderline

    boolean isUnderline()

### isOwnUnderline

    java.lang.Boolean isOwnUnderline()

### setUnderline

    void setUnderline(boolean isUnderline)

### setUnderline

    void setUnderline(java.lang.Boolean isUnderline)

### isStrikeThrough

    boolean isStrikeThrough()

### isOwnStrikeThrough

    java.lang.Boolean isOwnStrikeThrough()

### setStrikeThrough

    void setStrikeThrough(boolean isStrikeThrough)

### setStrikeThrough

    void setStrikeThrough(java.lang.Boolean isStrikeThrough)

### getSize

    int getSize()

  Deprecated. Replaced by `getFontSize()`.

### getOwnSize

    java.lang.Integer getOwnSize()

  Deprecated. Replaced by `getOwnFontSize()`.

### setSize

    void setSize(int size)

  Deprecated. Replaced by `setFontSize(int)`.

### setSize

    void setSize(java.lang.Integer size)

  Deprecated. Replaced by `setFontSize(Integer)`.

### getFontSize

    int getFontSize()

### getOwnFontSize

    java.lang.Integer getOwnFontSize()

### setFontSize

    void setFontSize(int fontSize)

### setFontSize

    void setFontSize(java.lang.Integer fontSize)

### getPdfFontName

    java.lang.String getPdfFontName()

### getOwnPdfFontName

    java.lang.String getOwnPdfFontName()

### setPdfFontName

    void setPdfFontName(java.lang.String pdfFontName)

### getPdfEncoding

    java.lang.String getPdfEncoding()

### getOwnPdfEncoding

    java.lang.String getOwnPdfEncoding()

### setPdfEncoding

    void setPdfEncoding(java.lang.String pdfEncoding)

### isPdfEmbedded

    boolean isPdfEmbedded()

### isOwnPdfEmbedded

    java.lang.Boolean isOwnPdfEmbedded()

### setPdfEmbedded

    void setPdfEmbedded(boolean isPdfEmbedded)

### setPdfEmbedded

    void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com